TEMPLATE     = lib
TARGET       = PythonQt
DESTDIR      = ../lib
CONFIG      += qt
CONFIG      -= debug
DEFINES     += PYTHONQT_EXPORTS PYTHONQTGUI_EXPORTS
INCLUDEPATH += ./ ../include/python2.4 ../uitools
LIBS        += -L../lib -lpython2.4 -luitools
DEPENDS     += ../uitools
QT          += xml
LIBS  	    += -lQtScript -lQtXml -lutil

HEADERS +=                    \
  PythonQt.h                  \
  PythonQtStdDecorators.h     \
  PythonQtClassInfo.h         \
  PythonQtImporter.h          \
  PythonQtObjectPtr.h         \
  PythonQtSlot.h              \
  PythonQtStdOut.h            \
  PythonQtMisc.h              \
  PythonQtMethodInfo.h        \
  PythonQtImportFileInterface.h \
  PythonQtConversion.h        \
  PythonQtSignalReceiver.h    \
  PythonQtWrapper.h           \
  PythonQtMetaObjectWrapper.h \
  PythonQtCppWrapperFactory.h \
  PythonQtVariants.h          \
  PythonQtVariantWrapper.h    \
  PythonQtWrappedVariants.h   \
  PythonQtSystem.h            \
  PythonQtGui.h               \
  PythonQtGuiSystem.h

SOURCES +=                    \
  PythonQtStdDecorators.cpp   \
  PythonQt.cpp                \
  PythonQtClassInfo.cpp       \
  PythonQtImporter.cpp        \
  PythonQtObjectPtr.cpp       \
  PythonQtStdOut.cpp          \
  PythonQtSlot.cpp            \
  PythonQtMisc.cpp            \
  PythonQtMethodInfo.cpp      \
  PythonQtConversion.cpp      \
  PythonQtSignalReceiver.cpp  \
  PythonQtVariants.cpp        \
  PythonQtVariantWrapper.cpp  \
  PythonQtWrapper.cpp         \
  PythonQtMetaObjectWrapper.cpp \
  PythonQtGui.cpp

files.path    = /
files.files   = ../lib/libPythonQt.so.1.0.0
INSTALLS     += files

